This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: better error msgs for some TypeErrors
Type: Stage:
Components: None Versions:
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: doerwalter, georg.brandl, loewis
Priority: normal Keywords: patch

Created on 2006-10-29 18:44 by georg.brandl, last changed 2022-04-11 14:56 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
object-exceptionmsgs.diff georg.brandl, 2006-11-08 09:06 #2
Messages (5)
msg51291 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2006-10-29 18:44
This includes the wrong type for some objects' TypeErrors.
msg51292 - (view) Author: Walter Dörwald (doerwalter) * (Python committer) Date: 2006-11-08 08:50
Logged In: YES 
user_id=89016

The patch includes unrelated changes to enumerate()
msg51293 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2006-11-08 09:06
Logged In: YES 
user_id=849994

Thanks, fixed.
msg51294 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2006-11-19 08:21
The patch looks fine to me, please apply.
msg51295 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2006-11-19 08:48
Checked in as rev. 52787.
History
Date User Action Args
2022-04-11 14:56:21adminsetgithub: 44178
2006-10-29 18:44:13georg.brandlcreate